IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/100
Addresses268,435,456
/64 networksPart of one
- Network
2001:db8::470f:f000:0/100- First address
2001:db8::470f:f000:0- Last address
2001:db8::470f:ffff:ffff- Addresses
- 268,435,456
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:470f:f000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
f.f.0.7.4.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::470f:f000:0/100 makes 256 subnets of /108.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::470f:f000:0/108 | 2001:db8::470f:f00f:ffff |
| 2 | 2001:db8::470f:f010:0/108 | 2001:db8::470f:f01f:ffff |
| 3 | 2001:db8::470f:f020:0/108 | 2001:db8::470f:f02f:ffff |
| 4 | 2001:db8::470f:f030:0/108 | 2001:db8::470f:f03f:ffff |
| 5 | 2001:db8::470f:f040:0/108 | 2001:db8::470f:f04f:ffff |
| 6 | 2001:db8::470f:f050:0/108 | 2001:db8::470f:f05f:ffff |
| 7 | 2001:db8::470f:f060:0/108 | 2001:db8::470f:f06f:ffff |
| 8 | 2001:db8::470f:f070:0/108 | 2001:db8::470f:f07f:ffff |
| 9 | 2001:db8::470f:f080:0/108 | 2001:db8::470f:f08f:ffff |
| 10 | 2001:db8::470f:f090:0/108 | 2001:db8::470f:f09f:ffff |
| 11 | 2001:db8::470f:f0a0:0/108 | 2001:db8::470f:f0af:ffff |
| 12 | 2001:db8::470f:f0b0:0/108 | 2001:db8::470f:f0bf:ffff |
| 13 | 2001:db8::470f:f0c0:0/108 | 2001:db8::470f:f0cf:ffff |
| 14 | 2001:db8::470f:f0d0:0/108 | 2001:db8::470f:f0df:ffff |
| 15 | 2001:db8::470f:f0e0:0/108 | 2001:db8::470f:f0ef:ffff |
| 16 | 2001:db8::470f:f0f0:0/108 | 2001:db8::470f:f0ff:ffff |
| 17 | 2001:db8::470f:f100:0/108 | 2001:db8::470f:f10f:ffff |
| 18 | 2001:db8::470f:f110:0/108 | 2001:db8::470f:f11f:ffff |
| 19 | 2001:db8::470f:f120:0/108 | 2001:db8::470f:f12f:ffff |
| 20 | 2001:db8::470f:f130:0/108 | 2001:db8::470f:f13f:ffff |
| 21 | 2001:db8::470f:f140:0/108 | 2001:db8::470f:f14f:ffff |
| 22 | 2001:db8::470f:f150:0/108 | 2001:db8::470f:f15f:ffff |
| 23 | 2001:db8::470f:f160:0/108 | 2001:db8::470f:f16f:ffff |
| 24 | 2001:db8::470f:f170:0/108 | 2001:db8::470f:f17f:ffff |
| 25 | 2001:db8::470f:f180:0/108 | 2001:db8::470f:f18f:ffff |
| 26 | 2001:db8::470f:f190:0/108 | 2001:db8::470f:f19f:ffff |
| 27 | 2001:db8::470f:f1a0:0/108 | 2001:db8::470f:f1af:ffff |
| 28 | 2001:db8::470f:f1b0:0/108 | 2001:db8::470f:f1bf:ffff |
| 29 | 2001:db8::470f:f1c0:0/108 | 2001:db8::470f:f1cf:ffff |
| 30 | 2001:db8::470f:f1d0:0/108 | 2001:db8::470f:f1df:ffff |
| 31 | 2001:db8::470f:f1e0:0/108 | 2001:db8::470f:f1ef:ffff |
| 32 | 2001:db8::470f:f1f0:0/108 | 2001:db8::470f:f1ff:ffff |
| 33 | 2001:db8::470f:f200:0/108 | 2001:db8::470f:f20f:ffff |
| 34 | 2001:db8::470f:f210:0/108 | 2001:db8::470f:f21f:ffff |
| 35 | 2001:db8::470f:f220:0/108 | 2001:db8::470f:f22f:ffff |
| 36 | 2001:db8::470f:f230:0/108 | 2001:db8::470f:f23f:ffff |
| 37 | 2001:db8::470f:f240:0/108 | 2001:db8::470f:f24f:ffff |
| 38 | 2001:db8::470f:f250:0/108 | 2001:db8::470f:f25f:ffff |
| 39 | 2001:db8::470f:f260:0/108 | 2001:db8::470f:f26f:ffff |
| 40 | 2001:db8::470f:f270:0/108 | 2001:db8::470f:f27f:ffff |
| 41 | 2001:db8::470f:f280:0/108 | 2001:db8::470f:f28f:ffff |
| 42 | 2001:db8::470f:f290:0/108 | 2001:db8::470f:f29f:ffff |
| 43 | 2001:db8::470f:f2a0:0/108 | 2001:db8::470f:f2af:ffff |
| 44 | 2001:db8::470f:f2b0:0/108 | 2001:db8::470f:f2bf:ffff |
| 45 | 2001:db8::470f:f2c0:0/108 | 2001:db8::470f:f2cf:ffff |
| 46 | 2001:db8::470f:f2d0:0/108 | 2001:db8::470f:f2df:ffff |
| 47 | 2001:db8::470f:f2e0:0/108 | 2001:db8::470f:f2ef:ffff |
| 48 | 2001:db8::470f:f2f0:0/108 | 2001:db8::470f:f2ff:ffff |
| 49 | 2001:db8::470f:f300:0/108 | 2001:db8::470f:f30f:ffff |
| 50 | 2001:db8::470f:f310:0/108 | 2001:db8::470f:f31f:ffff |
| 51 | 2001:db8::470f:f320:0/108 | 2001:db8::470f:f32f:ffff |
| 52 | 2001:db8::470f:f330:0/108 | 2001:db8::470f:f33f:ffff |
| 53 | 2001:db8::470f:f340:0/108 | 2001:db8::470f:f34f:ffff |
| 54 | 2001:db8::470f:f350:0/108 | 2001:db8::470f:f35f:ffff |
| 55 | 2001:db8::470f:f360:0/108 | 2001:db8::470f:f36f:ffff |
| 56 | 2001:db8::470f:f370:0/108 | 2001:db8::470f:f37f:ffff |
| 57 | 2001:db8::470f:f380:0/108 | 2001:db8::470f:f38f:ffff |
| 58 | 2001:db8::470f:f390:0/108 | 2001:db8::470f:f39f:ffff |
| 59 | 2001:db8::470f:f3a0:0/108 | 2001:db8::470f:f3af:ffff |
| 60 | 2001:db8::470f:f3b0:0/108 | 2001:db8::470f:f3bf:ffff |
| 61 | 2001:db8::470f:f3c0:0/108 | 2001:db8::470f:f3cf:ffff |
| 62 | 2001:db8::470f:f3d0:0/108 | 2001:db8::470f:f3df:ffff |
| 63 | 2001:db8::470f:f3e0:0/108 | 2001:db8::470f:f3ef:ffff |
| 64 | 2001:db8::470f:f3f0:0/108 | 2001:db8::470f:f3ff:ffff |
| 65 | 2001:db8::470f:f400:0/108 | 2001:db8::470f:f40f:ffff |
| 66 | 2001:db8::470f:f410:0/108 | 2001:db8::470f:f41f:ffff |
| 67 | 2001:db8::470f:f420:0/108 | 2001:db8::470f:f42f:ffff |
| 68 | 2001:db8::470f:f430:0/108 | 2001:db8::470f:f43f:ffff |
| 69 | 2001:db8::470f:f440:0/108 | 2001:db8::470f:f44f:ffff |
| 70 | 2001:db8::470f:f450:0/108 | 2001:db8::470f:f45f:ffff |
| 71 | 2001:db8::470f:f460:0/108 | 2001:db8::470f:f46f:ffff |
| 72 | 2001:db8::470f:f470:0/108 | 2001:db8::470f:f47f:ffff |
| 73 | 2001:db8::470f:f480:0/108 | 2001:db8::470f:f48f:ffff |
| 74 | 2001:db8::470f:f490:0/108 | 2001:db8::470f:f49f:ffff |
| 75 | 2001:db8::470f:f4a0:0/108 | 2001:db8::470f:f4af:ffff |
| 76 | 2001:db8::470f:f4b0:0/108 | 2001:db8::470f:f4bf:ffff |
| 77 | 2001:db8::470f:f4c0:0/108 | 2001:db8::470f:f4cf:ffff |
| 78 | 2001:db8::470f:f4d0:0/108 | 2001:db8::470f:f4df:ffff |
| 79 | 2001:db8::470f:f4e0:0/108 | 2001:db8::470f:f4ef:ffff |
| 80 | 2001:db8::470f:f4f0:0/108 | 2001:db8::470f:f4ff:ffff |
| 81 | 2001:db8::470f:f500:0/108 | 2001:db8::470f:f50f:ffff |
| 82 | 2001:db8::470f:f510:0/108 | 2001:db8::470f:f51f:ffff |
| 83 | 2001:db8::470f:f520:0/108 | 2001:db8::470f:f52f:ffff |
| 84 | 2001:db8::470f:f530:0/108 | 2001:db8::470f:f53f:ffff |
| 85 | 2001:db8::470f:f540:0/108 | 2001:db8::470f:f54f:ffff |
| 86 | 2001:db8::470f:f550:0/108 | 2001:db8::470f:f55f:ffff |
| 87 | 2001:db8::470f:f560:0/108 | 2001:db8::470f:f56f:ffff |
| 88 | 2001:db8::470f:f570:0/108 | 2001:db8::470f:f57f:ffff |
| 89 | 2001:db8::470f:f580:0/108 | 2001:db8::470f:f58f:ffff |
| 90 | 2001:db8::470f:f590:0/108 | 2001:db8::470f:f59f:ffff |
| 91 | 2001:db8::470f:f5a0:0/108 | 2001:db8::470f:f5af:ffff |
| 92 | 2001:db8::470f:f5b0:0/108 | 2001:db8::470f:f5bf:ffff |
| 93 | 2001:db8::470f:f5c0:0/108 | 2001:db8::470f:f5cf:ffff |
| 94 | 2001:db8::470f:f5d0:0/108 | 2001:db8::470f:f5df:ffff |
| 95 | 2001:db8::470f:f5e0:0/108 | 2001:db8::470f:f5ef:ffff |
| 96 | 2001:db8::470f:f5f0:0/108 | 2001:db8::470f:f5ff:ffff |
| 97 | 2001:db8::470f:f600:0/108 | 2001:db8::470f:f60f:ffff |
| 98 | 2001:db8::470f:f610:0/108 | 2001:db8::470f:f61f:ffff |
| 99 | 2001:db8::470f:f620:0/108 | 2001:db8::470f:f62f:ffff |
| 100 | 2001:db8::470f:f630:0/108 | 2001:db8::470f:f63f:ffff |
| 101 | 2001:db8::470f:f640:0/108 | 2001:db8::470f:f64f:ffff |
| 102 | 2001:db8::470f:f650:0/108 | 2001:db8::470f:f65f:ffff |
| 103 | 2001:db8::470f:f660:0/108 | 2001:db8::470f:f66f:ffff |
| 104 | 2001:db8::470f:f670:0/108 | 2001:db8::470f:f67f:ffff |
| 105 | 2001:db8::470f:f680:0/108 | 2001:db8::470f:f68f:ffff |
| 106 | 2001:db8::470f:f690:0/108 | 2001:db8::470f:f69f:ffff |
| 107 | 2001:db8::470f:f6a0:0/108 | 2001:db8::470f:f6af:ffff |
| 108 | 2001:db8::470f:f6b0:0/108 | 2001:db8::470f:f6bf:ffff |
| 109 | 2001:db8::470f:f6c0:0/108 | 2001:db8::470f:f6cf:ffff |
| 110 | 2001:db8::470f:f6d0:0/108 | 2001:db8::470f:f6df:ffff |
| 111 | 2001:db8::470f:f6e0:0/108 | 2001:db8::470f:f6ef:ffff |
| 112 | 2001:db8::470f:f6f0:0/108 | 2001:db8::470f:f6ff:ffff |
| 113 | 2001:db8::470f:f700:0/108 | 2001:db8::470f:f70f:ffff |
| 114 | 2001:db8::470f:f710:0/108 | 2001:db8::470f:f71f:ffff |
| 115 | 2001:db8::470f:f720:0/108 | 2001:db8::470f:f72f:ffff |
| 116 | 2001:db8::470f:f730:0/108 | 2001:db8::470f:f73f:ffff |
| 117 | 2001:db8::470f:f740:0/108 | 2001:db8::470f:f74f:ffff |
| 118 | 2001:db8::470f:f750:0/108 | 2001:db8::470f:f75f:ffff |
| 119 | 2001:db8::470f:f760:0/108 | 2001:db8::470f:f76f:ffff |
| 120 | 2001:db8::470f:f770:0/108 | 2001:db8::470f:f77f:ffff |
| 121 | 2001:db8::470f:f780:0/108 | 2001:db8::470f:f78f:ffff |
| 122 | 2001:db8::470f:f790:0/108 | 2001:db8::470f:f79f:ffff |
| 123 | 2001:db8::470f:f7a0:0/108 | 2001:db8::470f:f7af:ffff |
| 124 | 2001:db8::470f:f7b0:0/108 | 2001:db8::470f:f7bf:ffff |
| 125 | 2001:db8::470f:f7c0:0/108 | 2001:db8::470f:f7cf:ffff |
| 126 | 2001:db8::470f:f7d0:0/108 | 2001:db8::470f:f7df:ffff |
| 127 | 2001:db8::470f:f7e0:0/108 | 2001:db8::470f:f7ef:ffff |
| 128 | 2001:db8::470f:f7f0:0/108 | 2001:db8::470f:f7ff:ffff |
| 129 | 2001:db8::470f:f800:0/108 | 2001:db8::470f:f80f:ffff |
| 130 | 2001:db8::470f:f810:0/108 | 2001:db8::470f:f81f:ffff |
| 131 | 2001:db8::470f:f820:0/108 | 2001:db8::470f:f82f:ffff |
| 132 | 2001:db8::470f:f830:0/108 | 2001:db8::470f:f83f:ffff |
| 133 | 2001:db8::470f:f840:0/108 | 2001:db8::470f:f84f:ffff |
| 134 | 2001:db8::470f:f850:0/108 | 2001:db8::470f:f85f:ffff |
| 135 | 2001:db8::470f:f860:0/108 | 2001:db8::470f:f86f:ffff |
| 136 | 2001:db8::470f:f870:0/108 | 2001:db8::470f:f87f:ffff |
| 137 | 2001:db8::470f:f880:0/108 | 2001:db8::470f:f88f:ffff |
| 138 | 2001:db8::470f:f890:0/108 | 2001:db8::470f:f89f:ffff |
| 139 | 2001:db8::470f:f8a0:0/108 | 2001:db8::470f:f8af:ffff |
| 140 | 2001:db8::470f:f8b0:0/108 | 2001:db8::470f:f8bf:ffff |
| 141 | 2001:db8::470f:f8c0:0/108 | 2001:db8::470f:f8cf:ffff |
| 142 | 2001:db8::470f:f8d0:0/108 | 2001:db8::470f:f8df:ffff |
| 143 | 2001:db8::470f:f8e0:0/108 | 2001:db8::470f:f8ef:ffff |
| 144 | 2001:db8::470f:f8f0:0/108 | 2001:db8::470f:f8ff:ffff |
| 145 | 2001:db8::470f:f900:0/108 | 2001:db8::470f:f90f:ffff |
| 146 | 2001:db8::470f:f910:0/108 | 2001:db8::470f:f91f:ffff |
| 147 | 2001:db8::470f:f920:0/108 | 2001:db8::470f:f92f:ffff |
| 148 | 2001:db8::470f:f930:0/108 | 2001:db8::470f:f93f:ffff |
| 149 | 2001:db8::470f:f940:0/108 | 2001:db8::470f:f94f:ffff |
| 150 | 2001:db8::470f:f950:0/108 | 2001:db8::470f:f95f:ffff |
| 151 | 2001:db8::470f:f960:0/108 | 2001:db8::470f:f96f:ffff |
| 152 | 2001:db8::470f:f970:0/108 | 2001:db8::470f:f97f:ffff |
| 153 | 2001:db8::470f:f980:0/108 | 2001:db8::470f:f98f:ffff |
| 154 | 2001:db8::470f:f990:0/108 | 2001:db8::470f:f99f:ffff |
| 155 | 2001:db8::470f:f9a0:0/108 | 2001:db8::470f:f9af:ffff |
| 156 | 2001:db8::470f:f9b0:0/108 | 2001:db8::470f:f9bf:ffff |
| 157 | 2001:db8::470f:f9c0:0/108 | 2001:db8::470f:f9cf:ffff |
| 158 | 2001:db8::470f:f9d0:0/108 | 2001:db8::470f:f9df:ffff |
| 159 | 2001:db8::470f:f9e0:0/108 | 2001:db8::470f:f9ef:ffff |
| 160 | 2001:db8::470f:f9f0:0/108 | 2001:db8::470f:f9ff:ffff |
| 161 | 2001:db8::470f:fa00:0/108 | 2001:db8::470f:fa0f:ffff |
| 162 | 2001:db8::470f:fa10:0/108 | 2001:db8::470f:fa1f:ffff |
| 163 | 2001:db8::470f:fa20:0/108 | 2001:db8::470f:fa2f:ffff |
| 164 | 2001:db8::470f:fa30:0/108 | 2001:db8::470f:fa3f:ffff |
| 165 | 2001:db8::470f:fa40:0/108 | 2001:db8::470f:fa4f:ffff |
| 166 | 2001:db8::470f:fa50:0/108 | 2001:db8::470f:fa5f:ffff |
| 167 | 2001:db8::470f:fa60:0/108 | 2001:db8::470f:fa6f:ffff |
| 168 | 2001:db8::470f:fa70:0/108 | 2001:db8::470f:fa7f:ffff |
| 169 | 2001:db8::470f:fa80:0/108 | 2001:db8::470f:fa8f:ffff |
| 170 | 2001:db8::470f:fa90:0/108 | 2001:db8::470f:fa9f:ffff |
| 171 | 2001:db8::470f:faa0:0/108 | 2001:db8::470f:faaf:ffff |
| 172 | 2001:db8::470f:fab0:0/108 | 2001:db8::470f:fabf:ffff |
| 173 | 2001:db8::470f:fac0:0/108 | 2001:db8::470f:facf:ffff |
| 174 | 2001:db8::470f:fad0:0/108 | 2001:db8::470f:fadf:ffff |
| 175 | 2001:db8::470f:fae0:0/108 | 2001:db8::470f:faef:ffff |
| 176 | 2001:db8::470f:faf0:0/108 | 2001:db8::470f:faff:ffff |
| 177 | 2001:db8::470f:fb00:0/108 | 2001:db8::470f:fb0f:ffff |
| 178 | 2001:db8::470f:fb10:0/108 | 2001:db8::470f:fb1f:ffff |
| 179 | 2001:db8::470f:fb20:0/108 | 2001:db8::470f:fb2f:ffff |
| 180 | 2001:db8::470f:fb30:0/108 | 2001:db8::470f:fb3f:ffff |
| 181 | 2001:db8::470f:fb40:0/108 | 2001:db8::470f:fb4f:ffff |
| 182 | 2001:db8::470f:fb50:0/108 | 2001:db8::470f:fb5f:ffff |
| 183 | 2001:db8::470f:fb60:0/108 | 2001:db8::470f:fb6f:ffff |
| 184 | 2001:db8::470f:fb70:0/108 | 2001:db8::470f:fb7f:ffff |
| 185 | 2001:db8::470f:fb80:0/108 | 2001:db8::470f:fb8f:ffff |
| 186 | 2001:db8::470f:fb90:0/108 | 2001:db8::470f:fb9f:ffff |
| 187 | 2001:db8::470f:fba0:0/108 | 2001:db8::470f:fbaf:ffff |
| 188 | 2001:db8::470f:fbb0:0/108 | 2001:db8::470f:fbbf:ffff |
| 189 | 2001:db8::470f:fbc0:0/108 | 2001:db8::470f:fbcf:ffff |
| 190 | 2001:db8::470f:fbd0:0/108 | 2001:db8::470f:fbdf:ffff |
| 191 | 2001:db8::470f:fbe0:0/108 | 2001:db8::470f:fbef:ffff |
| 192 | 2001:db8::470f:fbf0:0/108 | 2001:db8::470f:fbff:ffff |
| 193 | 2001:db8::470f:fc00:0/108 | 2001:db8::470f:fc0f:ffff |
| 194 | 2001:db8::470f:fc10:0/108 | 2001:db8::470f:fc1f:ffff |
| 195 | 2001:db8::470f:fc20:0/108 | 2001:db8::470f:fc2f:ffff |
| 196 | 2001:db8::470f:fc30:0/108 | 2001:db8::470f:fc3f:ffff |
| 197 | 2001:db8::470f:fc40:0/108 | 2001:db8::470f:fc4f:ffff |
| 198 | 2001:db8::470f:fc50:0/108 | 2001:db8::470f:fc5f:ffff |
| 199 | 2001:db8::470f:fc60:0/108 | 2001:db8::470f:fc6f:ffff |
| 200 | 2001:db8::470f:fc70:0/108 | 2001:db8::470f:fc7f:ffff |
| 201 | 2001:db8::470f:fc80:0/108 | 2001:db8::470f:fc8f:ffff |
| 202 | 2001:db8::470f:fc90:0/108 | 2001:db8::470f:fc9f:ffff |
| 203 | 2001:db8::470f:fca0:0/108 | 2001:db8::470f:fcaf:ffff |
| 204 | 2001:db8::470f:fcb0:0/108 | 2001:db8::470f:fcbf:ffff |
| 205 | 2001:db8::470f:fcc0:0/108 | 2001:db8::470f:fccf:ffff |
| 206 | 2001:db8::470f:fcd0:0/108 | 2001:db8::470f:fcdf:ffff |
| 207 | 2001:db8::470f:fce0:0/108 | 2001:db8::470f:fcef:ffff |
| 208 | 2001:db8::470f:fcf0:0/108 | 2001:db8::470f:fcff:ffff |
| 209 | 2001:db8::470f:fd00:0/108 | 2001:db8::470f:fd0f:ffff |
| 210 | 2001:db8::470f:fd10:0/108 | 2001:db8::470f:fd1f:ffff |
| 211 | 2001:db8::470f:fd20:0/108 | 2001:db8::470f:fd2f:ffff |
| 212 | 2001:db8::470f:fd30:0/108 | 2001:db8::470f:fd3f:ffff |
| 213 | 2001:db8::470f:fd40:0/108 | 2001:db8::470f:fd4f:ffff |
| 214 | 2001:db8::470f:fd50:0/108 | 2001:db8::470f:fd5f:ffff |
| 215 | 2001:db8::470f:fd60:0/108 | 2001:db8::470f:fd6f:ffff |
| 216 | 2001:db8::470f:fd70:0/108 | 2001:db8::470f:fd7f:ffff |
| 217 | 2001:db8::470f:fd80:0/108 | 2001:db8::470f:fd8f:ffff |
| 218 | 2001:db8::470f:fd90:0/108 | 2001:db8::470f:fd9f:ffff |
| 219 | 2001:db8::470f:fda0:0/108 | 2001:db8::470f:fdaf:ffff |
| 220 | 2001:db8::470f:fdb0:0/108 | 2001:db8::470f:fdbf:ffff |
| 221 | 2001:db8::470f:fdc0:0/108 | 2001:db8::470f:fdcf:ffff |
| 222 | 2001:db8::470f:fdd0:0/108 | 2001:db8::470f:fddf:ffff |
| 223 | 2001:db8::470f:fde0:0/108 | 2001:db8::470f:fdef:ffff |
| 224 | 2001:db8::470f:fdf0:0/108 | 2001:db8::470f:fdff:ffff |
| 225 | 2001:db8::470f:fe00:0/108 | 2001:db8::470f:fe0f:ffff |
| 226 | 2001:db8::470f:fe10:0/108 | 2001:db8::470f:fe1f:ffff |
| 227 | 2001:db8::470f:fe20:0/108 | 2001:db8::470f:fe2f:ffff |
| 228 | 2001:db8::470f:fe30:0/108 | 2001:db8::470f:fe3f:ffff |
| 229 | 2001:db8::470f:fe40:0/108 | 2001:db8::470f:fe4f:ffff |
| 230 | 2001:db8::470f:fe50:0/108 | 2001:db8::470f:fe5f:ffff |
| 231 | 2001:db8::470f:fe60:0/108 | 2001:db8::470f:fe6f:ffff |
| 232 | 2001:db8::470f:fe70:0/108 | 2001:db8::470f:fe7f:ffff |
| 233 | 2001:db8::470f:fe80:0/108 | 2001:db8::470f:fe8f:ffff |
| 234 | 2001:db8::470f:fe90:0/108 | 2001:db8::470f:fe9f:ffff |
| 235 | 2001:db8::470f:fea0:0/108 | 2001:db8::470f:feaf:ffff |
| 236 | 2001:db8::470f:feb0:0/108 | 2001:db8::470f:febf:ffff |
| 237 | 2001:db8::470f:fec0:0/108 | 2001:db8::470f:fecf:ffff |
| 238 | 2001:db8::470f:fed0:0/108 | 2001:db8::470f:fedf:ffff |
| 239 | 2001:db8::470f:fee0:0/108 | 2001:db8::470f:feef:ffff |
| 240 | 2001:db8::470f:fef0:0/108 | 2001:db8::470f:feff:ffff |
| 241 | 2001:db8::470f:ff00:0/108 | 2001:db8::470f:ff0f:ffff |
| 242 | 2001:db8::470f:ff10:0/108 | 2001:db8::470f:ff1f:ffff |
| 243 | 2001:db8::470f:ff20:0/108 | 2001:db8::470f:ff2f:ffff |
| 244 | 2001:db8::470f:ff30:0/108 | 2001:db8::470f:ff3f:ffff |
| 245 | 2001:db8::470f:ff40:0/108 | 2001:db8::470f:ff4f:ffff |
| 246 | 2001:db8::470f:ff50:0/108 | 2001:db8::470f:ff5f:ffff |
| 247 | 2001:db8::470f:ff60:0/108 | 2001:db8::470f:ff6f:ffff |
| 248 | 2001:db8::470f:ff70:0/108 | 2001:db8::470f:ff7f:ffff |
| 249 | 2001:db8::470f:ff80:0/108 | 2001:db8::470f:ff8f:ffff |
| 250 | 2001:db8::470f:ff90:0/108 | 2001:db8::470f:ff9f:ffff |
| 251 | 2001:db8::470f:ffa0:0/108 | 2001:db8::470f:ffaf:ffff |
| 252 | 2001:db8::470f:ffb0:0/108 | 2001:db8::470f:ffbf:ffff |
| 253 | 2001:db8::470f:ffc0:0/108 | 2001:db8::470f:ffcf:ffff |
| 254 | 2001:db8::470f:ffd0:0/108 | 2001:db8::470f:ffdf:ffff |
| 255 | 2001:db8::470f:ffe0:0/108 | 2001:db8::470f:ffef:ffff |
| 256 | 2001:db8::470f:fff0:0/108 | 2001:db8::470f:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |